#
# spec file for package python-recordclass
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-recordclass
Version:        0.18.0.1
Release:        1.8
Summary:        Library implementing a mutable variant of namedtuple
License:        MIT
URL:            https://bitbucket.org/intellimath/recordclass
Source:         https://files.pythonhosted.org/packages/source/r/recordclass/recordclass-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
# SECTION Test requirements
BuildRequires:  %{python_module psutil}
BuildRequires:  %{python_module pyperf}
# /SECTION
%python_subpackages

%description
Mutable variant of namedtuple -- recordclass, which support assignments, and
other memory saving variants.

%prep
%setup -q -n recordclass-%{version}

%build
export CFLAGS="%{optflags}"
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitearch}

%check
# Crashes when run using pytest
%python_expand PYTHONPATH=%{buildroot}%{$python_sitearch} python%{$python_version} test_all.py

%files %{python_files}
%doc README.md
%license LICENSE.txt
%{python_sitearch}/recordclass/
%{python_sitearch}/recordclass-%{version}-py%{python_version}.egg-info/

%changelog
* Wed Nov  9 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to 0.18.0.1
  * Exclude test_dataobject_match.py (for testing match statement) for python < 3.10.
- Update to 0.18
  * Python 3.11 support.
  * Adapt data object to take benefit from bytecode specialization in 3.11.
  * Fix issue for argument with default value in __new__, which havn't __repr__ that can be interpreted as valid python expression for creation of the default value.
  * Add support for typing.ClassVar.
  * Add Py_TPFLAGS_SEQUENCE and Py_TPFLAGS_MAPPING.
  * Add __match_args__ to support match protocol for dataobject-based subclasses.
* Fri Oct  7 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- 0.17.5
  Make to compile, to build and to test successfully for python 3.11.
* Sun Jul 31 2022 Atri Bhattacharya <badshah400@gmail.com>
- Initial package.
